Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I want to upgrade php from 5.3.6 to 5.4 on ubuntu 11.10

According to some tutorials I did:

1. sudo add-apt-repository ppa:ondrej/php5
2. sudo apt-get update
3. sudo apt-get upgrade

I also tried to remove php and install it again but I still have 5.3.6

share|improve this question

closed as off topic by Oli May 9 '13 at 10:55

Questions on Ask Ubuntu are expected to relate to Ubuntu within the scope defined by the community. Consider editing the question or leaving comments for improvement if you believe the question can be reworded to fit within the scope. Read more about reopening questions here.If this question can be reworded to fit the rules in the help center, please edit the question.

1 Answer 1

up vote 2 down vote accepted

A few things:

  • This PPA does not carry a Oneiric version of PHP. That's why installing it doesn't do anything.

  • 11.10 is unsupported as of today. It's no longer going to get security updates, leaving it vulnerable. I strongly recommend upgrading to 12.04 which will be supported until April 2017.

  • You'll need to install the PPA after you've upgraded to 12.04 (which still ships 5.3.x) but it should work then.

share|improve this answer

Not the answer you're looking for? Browse other questions tagged or ask your own question.